Aller au contenu principal
Sujet: VLC: ne marche plus !! ?? (Lu 253 fois) sujet précédent - sujet suivant

VLC: ne marche plus !! ??

Bonjour, ce matin, après avoir écouté une musique enregistrée, hop, ça me plaît, j'écoute une autre et là: pas de son!!
Je vais sur youtube et j'écoute une musique et là, ça marche.
Donc ce n'est pas mon matoss qui foire mais VLC.
Donc vas-y que je supprime ce logiciel pour ensuite, le re-installer:
problème: il faut libprotobuf-lite-3.21.11.so().
Je vais donc sur le site de oneclickinstall et choisis vlc:
allons bon, on me conseille d'installer via packman.
Je fais vlc; installé mais n'apparaît pas dans le menu de Plasma et reste muet si on cliqclic une zizique de l'ordi.
Tiens, kafféine aussi est muette.
Je désinstalle vlc, retourne à packman où j'avais vu vlc-beta par snapshot que j'installe.
Toujours rien.
vlc (et aussi kaffeine) ne marchent plus.
Qu'en pensez-vous ??


Re : VLC: ne marche plus !! ??

Répondre #1
Si vous allez dans configuration du système->Audio, vous avez du son quand vous testez les sorties ?

Re : VLC: ne marche plus !! ??

Répondre #2
Ben oui que le son, je l'ai; puisque si je choisis une chanson dans le site youtube, ça marche.
Ya que si j'ouvre un mp4 de mon ordi avec vlc, ça ne marche pas; avec kaffeine aussi, pas de son.
Là, je viens d'installer mpv, je clique sur un .avi et pareil, pas de son, pas d'image.
Aussi pas d'image sur vlc et kaffeine quand j'ouvre un mp4.
J'essaie config du système-Audio-Test: il y a le son.

Re : VLC: ne marche plus !! ??

Répondre #3
Bonsoir,

A la rigueur, ré-installé les codecs

https://www.opensuse-community.org/

Attention qu'il y a eu régression de certains codecs aujourd'hui avec une mise à jour ;)

Re : VLC: ne marche plus !! ??

Répondre #4
OK, je re-installerai les codecs demain; aujourd'hui, je suis sur Debian-sid et VLC n'a aucun problème.

Re : VLC: ne marche plus !! ??

Répondre #5
Attention qu'il y a eu régression de certains codecs aujourd'hui avec une mise à jour ;)

Bonsoir,

J'ai vu ça, je n'ai pas fait la mise à jour en pariant sur une réaction à plus ou moins court terme. J'ai bien fait, plus de questions embarassantes impliquant potentiellement cette régression lors du lancement de la mise à jour le jour suivant. Je ne suis pas encore très rodé avec Tumbleweed et c'est un peu magique pour moi cette réactivité.

Re : VLC: ne marche plus !! ??

Répondre #6
La régression venait d'un retard de packman ?


Re : VLC: ne marche plus !! ??

Répondre #8
Coucou !!
Donc j'ai désinstallé vlc puis dans le site packman, j'ai choisi vlc et one click install.
Chouette!! j'ai enfin vlc qui me montre la vidéo mais... pas de son ! je dis un gros mot en anglais !!!  oui, hi hi: chitt!
Vériff: je vais sur youtube et là,  j'ai la sono !!
Donc, il y a du progrès... je fais quoi, après ??

Re : VLC: ne marche plus !! ??

Répondre #9
Tous les codecs viennent du dépôt Packman ? Dans la négative , allez dans Yast->dépôts, sélectionnez Packman et cliquez sur "remplacer les paquets installés par ceux de ce dépôt".

Re : VLC: ne marche plus !! ??

Répondre #10
heu, je ne vois pas :
"remplacer les paquets installés par ceux de ce dépôt".
Je reviens à Installer/Supprimer, codecs et en bas, à l'onglet Versions:
( zut, j'arrive pas à envoyer une image sur ce forum en cliquant sur Insérer une image, bon, je note alors: )
Citer
vlc-codecs
v 3.0-18.7.6-x86_64 du fournisseur http://packman.links ...
. 3.0-18.7.6-x86_64 de Packman essential repository avec priorité 99 et fournisseur http://packman.links2linux...
et donc comme ça, j'ai avec vlc l'image mais pas le son.



Re : VLC: ne marche plus !! ??

Répondre #11
heu, je ne vois pas :
"remplacer les paquets système par ceux de ce dépôt"
yast=>installer/supprimer des logiciels=> vue dépôts=>aller sur packman=>remplacer les paquets système par ceux de ce dépôt,fenêtre de droite au dessus de la liste des paquets.





Re : VLC: ne marche plus !! ??

Répondre #12
merci jtro; c'est bon  :D
mais j'ai pas mal de conflits où j'ai dû faire un choix:
Résolution des conflits:
1) désinstallation de 1351 paquets!!!
2): installer Mesa-dri-i586 ... malgré architecture inférieure
3) installer Mesa-dri à partir du dépôt exclu
Aux différents conflits présentés, j'ai opte pour le 3
Redémarrage, espoir... hélas, je n'ai toujours pas le son sur vlc
 :(
Je regarde le post à côté,  celui de scaff, je vais essayer
https://news.opensuse.org/2023/01/24/opensuse-simplifies-codec-install/
si mon pb persiste, va falloir envisager une reinstall complète de ma tumble... (je suis en ext4)